<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<artifactId>log-manager</artifactId>
	<packaging>jar</packaging>
	<description>日志管理平台</description>

    <parent>
        <groupId>com.mortals.xhx</groupId>
        <artifactId>log-platform</artifactId>
        <version>1.0.0-SNAPSHOT</version>
    </parent>

	<profiles>
		<profile>
			<id>develop</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
			<properties>
				<profiles.active>develop</profiles.active>
				<profiles.server.port>18225</profiles.server.port>
				<profiles.datasource.uri>
					<![CDATA[jdbc:mysql://127.0.0.1:3306/log-platform?allowPublicKeyRetrieval=true&useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Hongkong]]></profiles.datasource.uri>
				<profiles.datasource.username>root</profiles.datasource.username>
				<profiles.datasource.password>12345678</profiles.datasource.password>
				<profiles.redis.uri>127.0.0.1</profiles.redis.uri>
				<profiles.redis.port>6379</profiles.redis.port>
				<profiles.redis.username></profiles.redis.username>
				<profiles.redis.password></profiles.redis.password>
				<profiles.redis.database>9</profiles.redis.database>
				<profiles.rabbitmq.host>127.0.0.1</profiles.rabbitmq.host>
				<profiles.rabbitmq.port>5672</profiles.rabbitmq.port>
				<profiles.rabbitmq.username>taxi_mq</profiles.rabbitmq.username>
				<profiles.rabbitmq.password>admin@2020</profiles.rabbitmq.password>
				<profiles.rabbitmq.virtualhost>/</profiles.rabbitmq.virtualhost>
				<profiles.filepath>/mortals/app/data</profiles.filepath>
				<profiles.log.level>DEBUG</profiles.log.level>
				<profiles.log.path>/logs</profiles.log.path>
				<profiles.data.path>/data</profiles.data.path>
				<profiles.nacos.server-addr>127.0.0.1:8848</profiles.nacos.server-addr>
				<profiles.nacos.group>DEFAULT_GROUP</profiles.nacos.group>
				<profiles.nacos.namespace>smart-gov</profiles.nacos.namespace>
				<package.environment>build</package.environment>
				<skipDeploy>false</skipDeploy>
			</properties>
		</profile>
		<profile>
			<id>test</id>
			<properties>
				<profiles.active>test</profiles.active>
				<profiles.server.ip>192.168.0.98</profiles.server.ip>
				<profiles.server.port>18225</profiles.server.port>
				<profiles.nginx.port>11092</profiles.nginx.port>
				<profiles.server.gatewayport>11078</profiles.server.gatewayport>
				<profiles.server.path>/logservice</profiles.server.path>
				<profiles.publish.path>/home/publish</profiles.publish.path>
				<profiles.datasource.uri>
					<![CDATA[jdbc:mysql://192.168.0.98:3306/log-platform?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Hongkong]]></profiles.datasource.uri>
				<profiles.datasource.username>root</profiles.datasource.username>
				<profiles.datasource.password>xhx@2022</profiles.datasource.password>
				<profiles.redis.uri>192.168.0.252</profiles.redis.uri>
				<profiles.redis.port>6379</profiles.redis.port>
				<profiles.redis.username></profiles.redis.username>
				<profiles.redis.password>hotel@2020</profiles.redis.password>
				<profiles.redis.database>9</profiles.redis.database>
				<profiles.rabbitmq.host>192.168.0.98</profiles.rabbitmq.host>
				<profiles.rabbitmq.port>5672</profiles.rabbitmq.port>
				<profiles.rabbitmq.username>taxi_mq</profiles.rabbitmq.username>
				<profiles.rabbitmq.password>admin@2020</profiles.rabbitmq.password>
				<profiles.rabbitmq.virtualhost>/</profiles.rabbitmq.virtualhost>
				<profiles.log.level>INFO</profiles.log.level>
				<profiles.nacos.server-addr>192.168.0.252:8848</profiles.nacos.server-addr>
				<profiles.nacos.group>DEFAULT_GROUP</profiles.nacos.group>
				<profiles.nacos.namespace>smart-gov</profiles.nacos.namespace>
				<profiles.log.path>/home/mortals/app/logs</profiles.log.path>
				<profiles.filepath>/mortals/app/data</profiles.filepath>
				<package.environment>test</package.environment>
				<skipDeploy>false</skipDeploy>
			</properties>
		</profile>
		<profile>
			<id>product</id>
			<properties>
				<profiles.active>product</profiles.active>
				<profiles.server.ip>192.168.0.250</profiles.server.ip>
				<profiles.server.port>18225</profiles.server.port>
				<profiles.nginx.port>11092</profiles.nginx.port>
				<profiles.server.gatewayport>11078</profiles.server.gatewayport>
				<profiles.server.path>/logService</profiles.server.path>
				<profiles.publish.path>/home/publish</profiles.publish.path>
				<profiles.datasource.uri>
					<![CDATA[jdbc:mysql://127.0.0.1:3306/log-platform?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Hongkong]]></profiles.datasource.uri>
				<profiles.datasource.username>root</profiles.datasource.username>
				<profiles.datasource.password>xhx@2022</profiles.datasource.password>
				<profiles.redis.uri>127.0.0.1</profiles.redis.uri>
				<profiles.redis.port>6379</profiles.redis.port>
				<profiles.redis.username></profiles.redis.username>
				<profiles.redis.password>hotel@2020</profiles.redis.password>
				<profiles.redis.database>9</profiles.redis.database>
				<profiles.rabbitmq.host>192.168.0.250</profiles.rabbitmq.host>
				<profiles.rabbitmq.port>5672</profiles.rabbitmq.port>
				<profiles.rabbitmq.username>taxi_mq</profiles.rabbitmq.username>
				<profiles.rabbitmq.password>admin@2020</profiles.rabbitmq.password>
				<profiles.rabbitmq.virtualhost>/</profiles.rabbitmq.virtualhost>
				<profiles.log.level>INFO</profiles.log.level>
				<profiles.nacos.server-addr>127.0.0.1:8848</profiles.nacos.server-addr>
				<profiles.nacos.group>DEFAULT_GROUP</profiles.nacos.group>
				<profiles.nacos.namespace>smart-gov</profiles.nacos.namespace>
				<profiles.log.path>/home/mortals/app/logs</profiles.log.path>
				<profiles.filepath>/mortals/app/data</profiles.filepath>
				<package.environment>build</package.environment>
				<skipDeploy>false</skipDeploy>
			</properties>
		</profile>

		<profile>
			<id>yibin</id>
			<properties>
				<profiles.active>yibin</profiles.active>
				<profiles.server.ip>192.168.2.144</profiles.server.ip>
				<profiles.server.port>18225</profiles.server.port>
				<profiles.nginx.port>11092</profiles.nginx.port>
				<profiles.server.gatewayport>11078</profiles.server.gatewayport>
				<profiles.server.path>/logService</profiles.server.path>
				<profiles.publish.path>/home/publish</profiles.publish.path>
				<profiles.datasource.uri>
					<![CDATA[jdbc:mysql://172.15.28.121:3306/log-platform?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Hongkong]]></profiles.datasource.uri>
				<profiles.datasource.username>root</profiles.datasource.username>
				<profiles.datasource.password>xhx@2022</profiles.datasource.password>
				<profiles.redis.uri>172.15.28.120</profiles.redis.uri>
				<profiles.redis.port>6379</profiles.redis.port>
				<profiles.redis.username></profiles.redis.username>
				<profiles.redis.password>hotel@2020</profiles.redis.password>
				<profiles.redis.database>9</profiles.redis.database>
				<profiles.rabbitmq.host>172.15.28.117</profiles.rabbitmq.host>
				<profiles.rabbitmq.port>5672</profiles.rabbitmq.port>
				<profiles.rabbitmq.username>taxi_mq</profiles.rabbitmq.username>
				<profiles.rabbitmq.password>admin@2020</profiles.rabbitmq.password>
				<profiles.rabbitmq.virtualhost>/</profiles.rabbitmq.virtualhost>
				<profiles.log.level>INFO</profiles.log.level>
				<profiles.nacos.server-addr>172.15.28.120:8848</profiles.nacos.server-addr>
				<profiles.nacos.group>DEFAULT_GROUP</profiles.nacos.group>
				<profiles.nacos.namespace>smart-gov</profiles.nacos.namespace>
				<profiles.log.path>/home/mortals/app/logs</profiles.log.path>
				<profiles.filepath>/mortals/app/data</profiles.filepath>
				<package.environment>yibin</package.environment>
				<skipDeploy>false</skipDeploy>
			</properties>
		</profile>

		<profile>
			<id>xuanhan</id>
			<properties>
				<profiles.active>yibin</profiles.active>
				<profiles.server.ip>192.168.2.144</profiles.server.ip>
				<profiles.server.port>18225</profiles.server.port>
				<profiles.nginx.port>11092</profiles.nginx.port>
				<profiles.server.gatewayport>11078</profiles.server.gatewayport>
				<profiles.server.path>/logService</profiles.server.path>
				<profiles.publish.path>/home/publish</profiles.publish.path>
				<profiles.datasource.uri>
					<![CDATA[jdbc:mysql://127.0.0.1:3306/log-platform?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Hongkong]]></profiles.datasource.uri>
				<profiles.datasource.username>root</profiles.datasource.username>
				<profiles.datasource.password>xhx@2022</profiles.datasource.password>
				<profiles.redis.uri>127.0.0.1</profiles.redis.uri>
				<profiles.redis.port>6379</profiles.redis.port>
				<profiles.redis.username></profiles.redis.username>
				<profiles.redis.password>hotel@2020</profiles.redis.password>
				<profiles.redis.database>9</profiles.redis.database>
				<profiles.rabbitmq.host>127.0.0.1</profiles.rabbitmq.host>
				<profiles.rabbitmq.port>5672</profiles.rabbitmq.port>
				<profiles.rabbitmq.username>taxi_mq</profiles.rabbitmq.username>
				<profiles.rabbitmq.password>admin@2020</profiles.rabbitmq.password>
				<profiles.rabbitmq.virtualhost>/</profiles.rabbitmq.virtualhost>
				<profiles.log.level>INFO</profiles.log.level>
				<profiles.nacos.server-addr>127.0.0.1:8848</profiles.nacos.server-addr>
				<profiles.nacos.group>DEFAULT_GROUP</profiles.nacos.group>
				<profiles.nacos.namespace>smart-gov</profiles.nacos.namespace>
				<profiles.log.path>D:/home/mortals/app/logs</profiles.log.path>
				<profiles.filepath>D:/mortals/app/data</profiles.filepath>
				<package.environment>yibin</package.environment>
				<skipDeploy>true</skipDeploy>
			</properties>
		</profile>

		<profile>
			<id>reg</id>
			<properties>
				<profiles.active>reg</profiles.active>
				<profiles.server.ip>127.0.0.1</profiles.server.ip>
				<profiles.server.port>18225</profiles.server.port>
				<profiles.nginx.port>11092</profiles.nginx.port>
				<profiles.server.gatewayport>11078</profiles.server.gatewayport>
				<profiles.server.path>/logService</profiles.server.path>
				<profiles.publish.path>/home/publish</profiles.publish.path>
				<profiles.datasource.uri>
					<![CDATA[jdbc:mysql://10.207.153.68:3306/log-platform?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Hongkong]]></profiles.datasource.uri>
				<profiles.datasource.username>root</profiles.datasource.username>
				<profiles.datasource.password>xhx@2022</profiles.datasource.password>
				<profiles.redis.uri>10.207.153.68</profiles.redis.uri>
				<profiles.redis.port>6379</profiles.redis.port>
				<profiles.redis.username></profiles.redis.username>
				<profiles.redis.password>hotel@2020</profiles.redis.password>
				<profiles.redis.database>9</profiles.redis.database>
				<profiles.rabbitmq.host>127.0.0.1</profiles.rabbitmq.host>
				<profiles.rabbitmq.port>5672</profiles.rabbitmq.port>
				<profiles.rabbitmq.username>taxi_mq</profiles.rabbitmq.username>
				<profiles.rabbitmq.password>admin@2020</profiles.rabbitmq.password>
				<profiles.rabbitmq.virtualhost>/</profiles.rabbitmq.virtualhost>
				<profiles.log.level>INFO</profiles.log.level>
				<profiles.nacos.server-addr>127.0.0.1:8848</profiles.nacos.server-addr>
				<profiles.nacos.group>DEFAULT_GROUP</profiles.nacos.group>
				<profiles.nacos.namespace>smart-gov</profiles.nacos.namespace>
				<profiles.log.path>/home/mortals/app/logs</profiles.log.path>
				<profiles.filepath>/mortals/app/data</profiles.filepath>
				<package.environment>build</package.environment>
				<skipDeploy>false</skipDeploy>
			</properties>
		</profile>

	</profiles>

	<properties>
	</properties>

	<dependencies>

		<dependency>
			<groupId>com.mortals.xhx</groupId>
			<artifactId>common-lib</artifactId>
		</dependency>

		<!-- 引入 SpringMVC 相关依赖，并实现对其的自动配置 -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>

		<!-- 实现对 RabbitMQ 的自动化配置 -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-amqp</artifactId>

		</dependency>

<!--
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>druid-spring-boot-starter</artifactId>
		</dependency>
-->

		<dependency>
			<groupId>org.mybatis.spring.boot</groupId>
			<artifactId>mybatis-spring-boot-starter</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-websocket</artifactId>
			<version>2.5.2</version>
		</dependency>

		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.data</groupId>
			<artifactId>spring-data-redis</artifactId>
		</dependency>

		<!--Token生成与解析-->
		<dependency>
			<groupId>io.jsonwebtoken</groupId>
			<artifactId>jjwt</artifactId>
		</dependency>
		<dependency>
			<groupId>p6spy</groupId>
			<artifactId>p6spy</artifactId>
			<version>3.9.1</version>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

	</dependencies>


	<build>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
		</resources>

		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>${java.version}</source>
					<target>${java.version}</target>
					<encoding>${project.build.sourceEncoding}</encoding>
				</configuration>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<executions>
					<execution>
						<id>copy-bin</id>
						<phase>package</phase>
						<goals>
							<goal>copy-resources</goal>
						</goals>
						<configuration>
							<encoding>UTF-8</encoding>
							<outputDirectory>target/bin
							</outputDirectory>
							<resources>
								<resource>
									<directory>src/main/bin/</directory>
									<excludes>
										<exclude>deploy.sh</exclude>
									</excludes>
									<filtering>true</filtering>
								</resource>
							</resources>
						</configuration>
					</execution>

					<execution>
						<id>copy-deploy</id>
						<phase>package</phase>
						<goals>
							<goal>copy-resources</goal>
						</goals>
						<configuration>
							<encoding>UTF-8</encoding>
							<outputDirectory>${project.parent.basedir}/dist/${project.artifactId}/
							</outputDirectory>
							<resources>
								<resource>
									<directory>src/main/bin</directory>
									<includes>
										<include>deploy.sh</include>
									</includes>
									<filtering>true</filtering>
								</resource>
							</resources>
						</configuration>
					</execution>
				</executions>
			</plugin>

			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>exec-maven-plugin</artifactId>
				<version>1.6.0</version>
				<configuration>
					<skip>${skipDeploy}</skip>
				</configuration>
				<executions>
					<execution>
						<id>exec-npm-install</id>
						<phase>generate-resources</phase>
						<goals>
							<goal>exec</goal>
						</goals>
						<configuration>
							<executable>yarn</executable>
							<arguments>
								<argument></argument>
							</arguments>
							<workingDirectory>${project.parent.basedir}/log-manager-ui/admin</workingDirectory>
						</configuration>
					</execution>

					<execution>
						<id>exec-npm-run-build</id>
						<phase>generate-resources</phase>
						<goals>
							<goal>exec</goal>
						</goals>
						<configuration>
							<executable>yarn</executable>
							<arguments>
								<argument>run</argument>
								<arguments>${package.environment}</arguments>
							</arguments>
							<workingDirectory>${project.parent.basedir}/log-manager-ui/admin</workingDirectory>
						</configuration>
					</execution>
				</executions>
			</plugin>

			<plugin>
				<artifactId>maven-assembly-plugin</artifactId>
				<version>3.3.0</version>

				<executions>
					<execution>
						<id>make-assembly</id>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
						<configuration>
							<finalName>${project.artifactId}</finalName>
							<appendAssemblyId>false</appendAssemblyId>
							<descriptors>
								<descriptor>../assembly/assembly.xml</descriptor>
							</descriptors>
							<outputDirectory>${project.parent.basedir}/dist/${project.artifactId}</outputDirectory>
						</configuration>
					</execution>
					<execution>
						<id>make-assembly-ui</id>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
						<configuration>
							<skipAssembly>${skipDeploy}</skipAssembly>
							<finalName>${project.artifactId}-ui</finalName>
							<appendAssemblyId>false</appendAssemblyId>
							<descriptors>
								<descriptor>../assembly/assembly-manager-ui.xml</descriptor>
							</descriptors>
							<outputDirectory>${project.parent.basedir}/dist/${project.artifactId}</outputDirectory>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

</project>
